Bug 1748868 - [OSP15] [OVN] Missing domain_name parameter in dhcp options
Summary: [OSP15] [OVN] Missing domain_name parameter in dhcp options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Maciej Józefczyk
QA Contact: eolivare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-04 10:45 UTC by Maciej Józefczyk
Modified: 2020-03-05 11:54 UTC (History)
6 users (show)

Fixed In Version: python-networking-ovn-6.0.1-0.20200108131128.86eee79.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 11:53:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 679965 0 'None' MERGED Pass Domain Name to dhcp options 2020-03-05 17:23:32 UTC
Red Hat Product Errata RHBA-2020:0709 0 None None None 2020-03-05 11:54:19 UTC

Description Maciej Józefczyk 2019-09-04 10:45:18 UTC
Missing domain_name parameter in dhcp options while setting port dns names.

Upstream patch https://review.opendev.org/#/c/660423 provides this functionality. Unfortunately this can't be cherry-picked to Stein, because upstream Stein gates are configured to check against older version that OVS 2.12 (which is in fact not yet released).

For our downstream we can do this, because we have cherry-picked needed patch ourselves and its included in ovn2.11-2.11.0-26.el8fdp.

Comment 5 eolivare 2020-02-10 11:40:02 UTC
Related with my doubts from comment 3, this was already investigated here [1] and concluded that dns-name values from input parameters are ignored unless external_dns_driver = designate

[1] https://bugs.launchpad.net/neutron/+bug/1617219/comments/3

Comment 7 errata-xmlrpc 2020-03-05 11:53:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0709


Note You need to log in before you can comment on or make changes to this bug.